Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class ReferenceValue

    java.lang.Object
      org.modeshape.graph.query.model.ReferenceValue

All Implemented Interfaces:
  Serializable, DynamicOperand, LanguageObject, Visitable

Direct Known Subclasses:
  JcrReferenceValue

    @Immutable
    public class ReferenceValue

extends Object
implements DynamicOperand

A dynamic operand that evaluates to the value(s) of a single or any reference property on a selector, used in a `Comparison` constraint.

See Also:
  Serialized Form

Constructor Summary
`ReferenceValue(SelectorName selectorName)` Create a dynamic operand that evaluates to all of the reference values of the node identified by the selector.
`ReferenceValue(SelectorName selectorName, String propertyName)` Create a dynamic operand that evaluates to the values of a single reference property of the node identified by the selector.
`ReferenceValue(SelectorName selectorName, String propertyName, boolean includeWeakReferences)` Create a dynamic operand that evaluates to the values of a single reference property of the node identified by the selector.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`boolean` | `includesWeakReferences()` Get whether weak references should be included.
`String` | `propertyName()` Get the name of the one reference property.
`SelectorName` | `selectorName()` Get the selector symbol upon which this operand applies.
`Set<SelectorName>` | `selectorNames()` Get the selector symbols to which this operand applies.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReferenceValue

    public ReferenceValue(SelectorName selectorName)

  Create a dynamic operand that evaluates to all of the reference values of the node identified by the selector.

  Parameters:
    `selectorName` - the name of the selector
  Throws:
    `IllegalArgumentException` - if the selector name is null

### ReferenceValue

    public ReferenceValue(SelectorName selectorName,
                          String propertyName,
                          boolean includeWeakReferences)

  Create a dynamic operand that evaluates to the values of a single reference property of the node identified by the selector.

  Parameters:
    `selectorName` - the name of the selector
    `propertyName` - the name of the property
    `includeWeakReferences` - true if weak references are to be included
  Throws:
    `IllegalArgumentException` - if the selector name is null

### ReferenceValue

    public ReferenceValue(SelectorName selectorName,
                          String propertyName)

  Create a dynamic operand that evaluates to the values of a single reference property of the node identified by the selector.

  Parameters:
    `selectorName` - the name of the selector
    `propertyName` - the name of the property
  Throws:
    `IllegalArgumentException` - if the selector name is null

Method Detail

### selectorName

    public SelectorName selectorName()

  Get the selector symbol upon which this operand applies.

  Returns:
    the one selector names used by this operand; never null

### selectorNames

    public Set<SelectorName> selectorNames()

  Get the selector symbols to which this operand applies.

  Specified by:
    `selectorNames` in interface `DynamicOperand`
  Returns:
    the immutable ordered set of non-null selector names used by this operand; never null and never empty
  See Also:
    `DynamicOperand.selectorNames()`

### propertyName

    public final String propertyName()

  Get the name of the one reference property.

  Returns:
    the property name; or null if this operand applies to any reference property

### includesWeakReferences

    public boolean includesWeakReferences()

  Get whether weak references should be included.

  Returns:
    true if weak references should be included, or false otherwise

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.